### Constructor

# Phosh PolkitAuthPrompt new

#### Declaration [src]

    GtkWidget*
    phosh_polkit_auth_prompt_new (
      const char* action_id,
      const char* message,
      const char* icon_name,
      const char* cookie,
      GStrv user_names
    )

#### Description

No description available.

#### Parameters

`action_id`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`message`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`icon_name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cookie`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`user_names`

  Type: An array of `utf8`

  No description available.

  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

No description available.

The data is owned by the called function.